import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { DevopsSwitchRds } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-05-19 17:20
 */
interface DevopsSwitchRdsCU extends ConditionUtil<DevopsSwitchRdsCU> {
    ID: FieldUtil<DevopsSwitchRdsCU>;
    RDS_CODE: FieldUtil<DevopsSwitchRdsCU>;
    RDS_NAME: FieldUtil<DevopsSwitchRdsCU>;
    SWITCH_TIME: FieldUtil<DevopsSwitchRdsCU>;
    REMARK: FieldUtil<DevopsSwitchRdsCU>;
    CREATE_TIME: FieldUtil<DevopsSwitchRdsCU>;
    UPDATE_TIME: FieldUtil<DevopsSwitchRdsCU>;
    CLOUD_PLATFORM: FieldUtil<DevopsSwitchRdsCU>;
}
declare class DevopsSwitchRdsMU extends TableUtilImpl<DevopsSwitchRdsCU, DevopsSwitchRds> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): DevopsSwitchRdsCU;
    static get ID(): FieldUtil<DevopsSwitchRdsCU>;
    static get RDS_CODE(): FieldUtil<DevopsSwitchRdsCU>;
    static get RDS_NAME(): FieldUtil<DevopsSwitchRdsCU>;
    static get SWITCH_TIME(): FieldUtil<DevopsSwitchRdsCU>;
    static get REMARK(): FieldUtil<DevopsSwitchRdsCU>;
    static get CREATE_TIME(): FieldUtil<DevopsSwitchRdsCU>;
    static get UPDATE_TIME(): FieldUtil<DevopsSwitchRdsCU>;
    static get CLOUD_PLATFORM(): FieldUtil<DevopsSwitchRdsCU>;
    get ID(): FieldUtil<DevopsSwitchRdsCU>;
    get RDS_CODE(): FieldUtil<DevopsSwitchRdsCU>;
    get RDS_NAME(): FieldUtil<DevopsSwitchRdsCU>;
    get SWITCH_TIME(): FieldUtil<DevopsSwitchRdsCU>;
    get REMARK(): FieldUtil<DevopsSwitchRdsCU>;
    get CREATE_TIME(): FieldUtil<DevopsSwitchRdsCU>;
    get UPDATE_TIME(): FieldUtil<DevopsSwitchRdsCU>;
    get CLOUD_PLATFORM(): FieldUtil<DevopsSwitchRdsCU>;
}
export { DevopsSwitchRdsMU, DevopsSwitchRdsCU };
